<!DOCTYPE html>
<html>
    <head>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
        <script type="module" src="subject.js"></script>
        <meta charset="UTF-8">
        <title>Accueil</title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.2/css/all.min.css" integrity="sha512-HK5fgLBL+xu6dm/Ii3z4xhlSUyZgTT9tuc/hSrtw6uzJOvgRr2a9jyxxT1ely+B+xFAmJKVSTbpM/CuL7qxO8w==" crossorigin="anonymous" />
    </head>
    <body>
        <header>
            <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="#">ForumAPI</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                <div class="navbar-nav">
                    <a class="nav-link active" href="index.html">Accueil</a>
                    <button name="logout" type="button" class="btn btn-outline-success">Se déconnecter</button>
                    <p id="welcomeMessage" style="padding: .5em 1em; margin: 0"></p>
                    <button name="seconnecter" type="button" class="btn btn-outline-success" data-toggle="modal" data-target="#modalConnexion">
                        Se connecter
                    </button>
                </div>
            </div>
            </nav>
            <!-- Modal Log in -->
            <div class="modal fade" id="modalConnexion" tabindex="-1" role="dialog" aria-labelledby="modalConnexion" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Connectez-vous !</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body container">
                        <form id="connectForm">
                            <div class="row">
                                <div class="col-6 text-left">
                                    Nom d'utilisateur
                                </div>
                                <div class="col-6 text-right">
                                    <input type="text" name="pseudoConnection" required/>
                                </div>
                            </div>
                            <div class="row mt-2">
                                <div class="col-6 text-left">
                                    Mot de passe
                                </div>
                                <div class="col-6 text-right">
                                    <input type="password" name="mdpConnection" required/>
                                </div>
                            </div>
                            <div class="row mt-2">
                                <div class="col-12 text-right">
                                    <button type="button" name="connection" class="btn btn-primary">Connexion</button>
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-12 text-center">
                                    Pas encore inscrit ? <a name="toSubscribeForm">Inscrivez-vous.</a>
                                </div>
                            </div>
                        </form>
                        <form id="signInForm">
                            <div class="row">
                                <div class="col-6 text-left">
                                    Nom d'utilsateur
                                </div>
                                <div class="col-6 text-right">
                                    <input type="text" name="pseudoSubscribe" required/>
                                </div>
                            </div>
                            <div class="row mt-2">
                                <div class="col-6 text-left">
                                    Mot de passe
                                </div>
                                <div class="col-6 text-right">
                                    <input type="password" name="mdpSubscribe" required/>
                                </div>
                            </div>
                            <div class="row mt-2">
                                <div class="col-12 text-right">
                                    <button type="button" name="subscribe" class="btn btn-primary">Inscription</button>
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-12 text-center">
                                    Déjà inscrit ? <a name="toConnectionForm">Connectez-vous.</a>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                    </div>
                </div>
            </div>             
        </header>
        <main>
        <div class="container mt-5">
            <div class="row">
                <div class="col-md-2"></div>
                <div class="col-md-8 h1 text-center">
                    Sujets de la catégorie
                </div>
                <div class="col-md-2"></div>
            </div>
            <hr class="divider"></hr>
            <div class="row">
            </div>
            <div id="messages">

            </div>
        </main>
    </body>
</html>
